org.openstreetmap.josm.plugins.streetside.utils

## Class StreetsideURL.MainWebsite

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.utils.StreetsideURL.MainWebsite

- Enclosing class:
    StreetsideURL

      public static final class StreetsideURL.MainWebsite
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static String` | `BASE_URL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `MainWebsite()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URL` | `blurEditImage(String key)` Gives you the URL for the blur editor of the image with the given key.
    `static URL` | `browseImage(String id)` Gives you the URL for the online viewer of a specific Streetside image.
    `static URL` | `connect(String redirectURI)` Gives you the URL which the user should visit to initiate the OAuth authentication process
    `static URL` | `mapObjectIcon(String key)`
    `static URL` | `streetsidePrivacyLink(String id)` Gives you the URL for the blur editor of the image with the given key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE_URL

          private static final String BASE_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MainWebsite

          private MainWebsite()

  - ### Method Detail

    - #### browseImage

          public static URL browseImage(String id)

      Gives you the URL for the online viewer of a specific Streetside image.
      Parameters:
        `id` - the id of the image to which you want to link
      Returns:
        the URL of the online viewer for the image with the given image key
      Throws:
        `IllegalArgumentException` - if the image key is `null`

    - #### blurEditImage

          public static URL blurEditImage(String key)

      Gives you the URL for the blur editor of the image with the given key.
      Parameters:
        `key` - the key of the image for which you want to open the blur editor
      Returns:
        the URL of the blur editor
      Throws:
        `IllegalArgumentException` - if the image key is `null`

    - #### streetsidePrivacyLink

          public static URL streetsidePrivacyLink(String id)

      Gives you the URL for the blur editor of the image with the given key.
      Parameters:
        `id` - the key of the image for which you want to open the blur editor
      Returns:
        the URL of the blur editor
      Throws:
        `IllegalArgumentException` - if the image key is `null`

    - #### connect

          public static URL connect(String redirectURI)

      Gives you the URL which the user should visit to initiate the OAuth authentication process
      Parameters:
        `redirectURI` - the URI to which the user will be redirected when the authentication is finished. When this is `null`, it's omitted from the query string.
      Returns:
        the URL that the user should visit to start the OAuth authentication

    - #### mapObjectIcon

          public static URL mapObjectIcon(String key)

JOSM Plugins